Bug 89160 - graphical failure
graphical failure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: fontconfig (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Owen Taylor
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-18 15:27 EDT by harry van breugel
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 19:09:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description harry van breugel 2003-04-18 15:27:39 EDT
Description of problem:
After updating Redhat Linux 8 to Redhat Linux 9 the following happens: after 
booting and logging in, the graphical mode tries to start several times but 
fails. When typing "restartx" the following message appears :Audit (date+time) 
1278 x; client 4 rejected from local host; no fonds found; font configlibrary 
not correctly configured


Version-Release number of selected component (if applicable):
OS Linux 2.4.20-8
Gcc version 3.2:2 20030222 (Redhat Linux 3.2.2-5)

How reproducible:
just boot

Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 David Lawrence 2003-04-28 14:13:29 EDT
Changing to proper product and component so developer will see this bug.
Comment 2 Mike A. Harris 2003-04-30 23:03:38 EDT
> font configlibrary not correctly configured

fontconfig is a separate package, reassigning to fontconfig component
Comment 3 Owen Taylor 2003-05-01 11:32:27 EDT
What is 'restartx'?

Do you have extra fonts installed in /usr/share/fonts beyond
what came with Red Hat Linux?

Was the Red Hat 8 system customized in any way? (E.g.,
extra software installed?)
Comment 4 harry van breugel 2003-05-01 16:20:23 EDT
sorry about "restartx": was "startx";

I had extra fonts installed: I had adapted the system to Thai fonts.

Meanwhile I have installed Shrike RH9 without the update option. This didn't raise 
any problems. So probably it was the Thai fonts that caused the problem?
Comment 5 Owen Taylor 2003-05-01 16:59:52 EDT
It would be very interesting if you could try to install the 
Thai fonts on the freshly installed system (by putting them
in a subdirectory of /usr/share/fonts and running fc-cache
as root) and see if the problem reoccurs.
Comment 6 harry van breugel 2003-05-02 04:02:44 EDT
I put Thai fonts in  /usr/share/fonts/Thai directory and ran fc-cache. Then I 
rebooted, but -I don't know if that is of any help!- nothing exceptional happened: 
everything works as before. 

There is a problem though: In Psyche the Thai fonts worked well, but now the Thai 
fonts still don't show in the applications (meaning they aren't installed well yet, I 
think) and so maybe only if that is fixed, may the problem arise again... (I am trying 
to find out how to properly install the Thai fonts again). 
Comment 7 Owen Taylor 2004-08-03 19:09:19 EDT
Probably not current to the current codebase any more.

Note You need to log in before you can comment on or make changes to this bug.